summaryrefslogtreecommitdiffstats
path: root/src.etc/init.d/mdev
diff options
context:
space:
mode:
Diffstat (limited to 'src.etc/init.d/mdev')
-rwxr-xr-xsrc.etc/init.d/mdev4
1 files changed, 2 insertions, 2 deletions
diff --git a/src.etc/init.d/mdev b/src.etc/init.d/mdev
index 9a896f4..8052c3b 100755
--- a/src.etc/init.d/mdev
+++ b/src.etc/init.d/mdev
@@ -4,7 +4,7 @@ start()
{
printf 'Enabling device hotplugging... '
- if ! mount | grep -F ' /dev ' 2>&1 | :; then
+ if ! mount | grep -Fq ' /dev '; then
mount -t tmpfs -o noexec,nosuid,mode=0755 tmpfs /dev
fi
@@ -20,7 +20,7 @@ stop()
printf '\n' >/proc/sys/kernel/hotplug
- if mount | grep -F ' /dev ' 2>&1 | :; then
+ if mount | grep -Fq ' /dev '; then
umount /dev
fi